// Code generated by client-gen. DO NOT EDIT.

package v1

import (
	v1 "github.com/superedge/superedge/pkg/application-grid-controller/apis/superedge.io/v1"
	"github.com/superedge/superedge/pkg/application-grid-controller/generated/clientset/versioned/scheme"
	rest "k8s.io/client-go/rest"
)

type SuperedgeV1Interface interface {
	RESTClient() rest.Interface
	DeploymentGridsGetter
	ServiceGridsGetter
	StatefulSetGridsGetter
}

// SuperedgeV1Client is used to interact with features provided by the superedge.io group.
type SuperedgeV1Client struct {
	restClient rest.Interface
}

func (c *SuperedgeV1Client) DeploymentGrids(namespace string) DeploymentGridInterface {
	return newDeploymentGrids(c, namespace)
}

func (c *SuperedgeV1Client) ServiceGrids(namespace string) ServiceGridInterface {
	return newServiceGrids(c, namespace)
}

func (c *SuperedgeV1Client) StatefulSetGrids(namespace string) StatefulSetGridInterface {
	return newStatefulSetGrids(c, namespace)
}

// NewForConfig creates a new SuperedgeV1Client for the given config.
func NewForConfig(c *rest.Config) (*SuperedgeV1Client, error) {
	config := *c
	if err := setConfigDefaults(&config); err != nil {
		return nil, err
	}
	client, err := rest.RESTClientFor(&config)
	if err != nil {
		return nil, err
	}
	return &SuperedgeV1Client{client}, nil
}

// NewForConfigOrDie creates a new SuperedgeV1Client for the given config and
// panics if there is an error in the config.
func NewForConfigOrDie(c *rest.Config) *SuperedgeV1Client {
	client, err := NewForConfig(c)
	if err != nil {
		panic(err)
	}
	return client
}

// New creates a new SuperedgeV1Client for the given RESTClient.
func New(c rest.Interface) *SuperedgeV1Client {
	return &SuperedgeV1Client{c}
}

func setConfigDefaults(config *rest.Config) error {
	gv := v1.SchemeGroupVersion
	config.GroupVersion = &gv
	config.APIPath = "/apis"
	config.NegotiatedSerializer = scheme.Codecs.WithoutConversion()

	if config.UserAgent == "" {
		config.UserAgent = rest.DefaultKubernetesUserAgent()
	}

	return nil
}

// RESTClient returns a RESTClient that is used to communicate
// with API server by this client implementation.
func (c *SuperedgeV1Client) RESTClient() rest.Interface {
	if c == nil {
		return nil
	}
	return c.restClient
}
